{# Templates/Management/management.html.twig #}
{# Lord Management page #}

{% extends 'base.html.twig' %}

{% trans_default_domain 'Management' %}

{% block cache %}
    <img src="{{ asset('img/buttonover.gif') }}"/>
    <img src="{{ asset('img/firstover.gif') }}"/>
    <img src="{{ asset('img/tabover.gif') }}"/>
{% endblock %}

{% block title %}{{ 'tabHeader' | trans }}{% endblock %}

{% block content %}
    <h1 class="userh1_intabl">{{ lord.name }}</h1>
    <table class="usertable">
        <tbody>
        <tr>
            <td class="left">
                {# Lord Info & Actions #}
                <div class="box4">
                    <div class="box4bottom">
                        <div class="box4bg">
                            <h2 class="h2h">
                                {{ 'header.infos.name' | trans }}
                            </h2>
                            <table class="infos">
                                <tbody>
                                <tr>
                                    {# LORD INFO #}
                                    <td>
                                        {% include 'Management/Components/LordInfo.html.twig' with {'lord': lord} %}
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                            <ul class="actions">
                                <li>
                                    <div {% include 'Components/ConfirmButton.html.twig' %} data-link="/forceDeath">
                                        <img src="{{ asset('img/icons/a_poison.png') }}">
                                        <span>{{ 'actions.suicide' | trans }}</span>
                                    </div>
                                </li>
                            </ul>
                            <div class="clear"></div>
                        </div>
                    </div>
                </div>

                {# Javascript handling TABS #}
                <script type="text/javascript">
                    //<![CDATA[
                    function tab(x) 
                    {
                        let a = ['generals', 'vassals', 'kingdom', 'diplomacy'];
                        for (let i = 0; i < a.length; i++)
                        {
                            document.getElementById(a[i]).style.display = (a[i] === x) ? '' : 'none';
                            document.getElementById('t' + a[i]).className = (a[i] === x) ? 'active' : 'notactive';
                        }
                    }
                    //]]>
                </script>

                <ul class="tabs">
                    {% for tabName in ['generals', 'vassals', 'kingdom', 'diplomacy'] %}
                        <li id="{{ 't'~tabName }}" class="notactive">
                            <div class="" onclick="tab('{{ tabName }}')">
                                <img src="{{ asset('img/help.gif') }}" alt="hint" class="help"
                                    onmouseover="showHint(this,'{{ ('tabs.'~tabName~'.title') | trans }}','{{ ('tabs.'~tabName~'.tooltip') | trans }}')"
                                    onmouseout="hideHint()"/>
                                {{ ('tabs.'~tabName~'.title') | trans }}
                            </div>
                        </li>
                    {% endfor %}
                </ul>
                <div class="boxtab">
                    <div class="boxtabbottom">
                        <div class="boxtabbg">
                            {% include 'Management/Components/GeneralsTab.html.twig' with { 'lord' : lord} %}

                            {% include 'Management/Components/VassalsTab.html.twig' with { 'lord' : lord} %}

                            {% include 'Management/Components/KingdomTab.html.twig' with { 'lord' : lord, 'resourceSpots' : resourceSpots} %}

                            {% include 'Management/Components/DiplomacyTab.html.twig' with { 'lord' : lord} %}
                        </div>
                    </div>
                </div>

                <script type="text/javascript">
                    tab('{{ tab }}');
                </script>
            </td>
            
            <td class="right">
                <div class="box3">
                    <div class="box3bottom">
                        <div class="box3bg">
                            <h2 class="h2f" onmouseover="showHint(this, '{{ 'city.capitalCity.title' | trans }}','{{ 'city.capitalCity.desc' | trans }}')"
                                onmouseout="hideHint()">
                                <a href="{{ path('app_map_focusNode', {'worldId':lord.worldmap.id, 'nodeId':lord.city.node.id}) }}">{{ lord.city.name }}</a>
                            </h2>

                            <table class="homeres">
                                <tbody><tr>
                                    <td>
                                        <div class="homegest">
                                            <div class="res">
                                                <div class="resp"><span class="n">{{ lord.city.StorageCount('wheat') }}</span></div>
                                                <img src="{{ asset('img/icons/res_wheat.png')}}" alt="">
                                            </div>
                                            <img src="{{ asset('img/help.gif') }}" class="help"
                                                 onmouseover="showHint(this, '{{ 'city.food.title' | trans }}','{{ 'city.food.desc' | trans }}')"
                                                 onmouseout="hideHint()">

                                            <div class="line"></div>
                                            <ul>
                                                <li>
                                                    <img src="{{ asset('img/help.gif') }}" class="help"
                                                         onmouseover="showHintMsg(this,'{{ 'city.consumption' | trans }}')"
                                                         onmouseout="hideHint()">
                                                    <img src="{{ asset('img/icons/food_capital.gif')}}"><span>-{{ lord.city.PopulationCount }}/{{ 'city.turn' | trans }}</span>
                                                </li>
                                            </ul>
                                            <div class="line"></div>
                                            <p class="total">{{ 'city.total' | trans }} :</p>
                                            <p class="number">-{{ lord.city.PopulationCount }}/{{ 'city.turn' | trans }}</p>
                                        </div>
                                    </td>

                                    <td>
                                        <div class="homegest">
                                            <div class="res disable">
                                                <div class="resp"><span class="n">{{ lord.city.StorageCount('gold') }}</span></div>
                                                <img src="{{ asset('img/icons/res_gold.png')}}" alt="">
                                            </div>

                                            <img src="{{ asset('img/help.gif') }}" class="help"
                                                 onmouseover="showHint(this,'{{ 'city.gold.title' | trans }}','{{ 'city.gold.desc' | trans }}')"
                                                 onmouseout="hideHint()">

                                            <div class="line"></div>

                                            {% set armyCost = -lord.getTotalArmyCost %}
                                            {% set lordTrade = lord.getTrade %}
                                            {% set totalGold = lordTrade + armyCost %}
                                            <ul>
                                                <li>
                                                    <img src="{{ asset('img/help.gif') }}" class="help"
                                                         onmouseover="showHint(this,'{{ 'city.armyMaintenance.title' | trans }}','{{ 'city.armyMaintenance.desc' | trans }}')"
                                                         onmouseout="hideHint()">
                                                    <img src="{{ asset('img/icons/gold_army.gif')}}"><span>{{ armyCost | number_format }}/{{ 'city.turn' | trans }}</span>
                                                </li>
                                                <div class="line"></div>
                                                <li>
                                                    <img src="{{ asset('img/help.gif') }}" class="help"
                                                         onmouseover="showHint(this,'{{ 'city.trade.title' | trans }}','{{ 'messages.comingSoon' | trans([], 'Common') }}')"
                                                         onmouseout="hideHint()">
                                                    <img src="{{ asset('img/icons/gold_kingdom.gif')}}">
                                                    <span class="need"
                                                          onmouseover="showHintMsg(this,'{{ 'messages.comingSoon' | trans([], 'Common') }}')"
                                                          onmouseout="hideHint()"
                                                    > {{ lordTrade }}/{{ 'city.turn' | trans }}</span>
                                                    {#
                                                    <img src="{{ asset('img/help.gif') }}" class="help"
                                                         onmouseover="showHint(this,'{{ 'city.trade.title' | trans }}','{{ 'city.trade.desc' | trans }}</br>{{ 'city.trade.desc2' | trans }}')"
                                                         onmouseout="hideHint()">
                                                    <img src="{{ asset('img/icons/gold_kingdom.gif')}}"><span> {{ lordTrade }}/{{ 'city.turn' | trans }}</span>
                                                    #}
                                                </li>
                                            </ul>
                                            <div class="line"></div>
                                            <p class="total">{{ 'city.total' | trans }} :</p>
                                            <p class="number">{{ totalGold }}/{{ 'city.turn' | trans }}</p>
                                        </div>
                                    </td>
                                </tr>
                                </tbody></table>

                            <p><a href="{{ path('app_city_city') }}" class="button">{{ 'messages.openCity' | trans }}</a></p>

                            <h2 class="h2g"
                                onmouseover="showHint(this,'{{ 'header.overlord.name' | trans }}','{{ 'header.overlord.desc' | trans }}')"
                                onmouseout="hideHint()">{{ 'header.overlord.name' | trans }}
                            </h2>

                            <p class="nothing">
                                {{ 'messages.comingSoon' | trans([], 'Common') }}
                                {#
                                {{ 'messages.noSuzerain' | trans }}
                                #}
                            </p>
                        </div>
                    </div>
                </div>

                <div class="buttons">
                    <a href="{{ path('app_map_ranks', { worldId: lord.worldmap.id }) }}" class="button">{{ 'messages.leaderboard' | trans([], 'Common') }}</a>
                    {# <a href="/pantheon?uid=795" class="button">{{ 'messages.pantheon' | trans([], 'Common') }}</a> #}
                </div>
            </td>
        </tr>
        </tbody>
    </table>

    {% include 'Components/LogsList.html.twig' with
        {
            'title': 'header.logs.name' | trans,
            'logs': logs
        }
    %}
{% endblock %}
